Package org.eclipse.ecf.osgi.services.remoteserviceadmin

# Class DiscoveredEndpointDescription

java.lang.Object
org.eclipse.ecf.osgi.services.remoteserviceadmin.DiscoveredEndpointDescription

public class DiscoveredEndpointDescription extends Object
Discovered endpoint description. Instances of this class represent discovered endpoint descriptions that were discovered by a particular discovery locator namespace. Instances of this class are typically created via a `IDiscoveredEndpointDescriptionFactory`.

See Also:
  - `IDiscoveredEndpointDescriptionFactory`

## Constructor Summary

Constructors
Constructor
Description
`DiscoveredEndpointDescription(Namespace discoveryLocatorNamespace, IServiceID serviceID, EndpointDescription endpointDescription)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object other)`
`Namespace`
`getDiscoveryLocatorNamespace()`
`EndpointDescription`
`getEndpointDescription()`
`IServiceID`
`getServiceID()`
`int`
`hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DiscoveredEndpointDescription

public DiscoveredEndpointDescription(Namespace discoveryLocatorNamespace, IServiceID serviceID, EndpointDescription endpointDescription)

## Method Details

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

### getDiscoveryLocatorNamespace

public Namespace getDiscoveryLocatorNamespace()

### getServiceID

public IServiceID getServiceID()

### getEndpointDescription

public EndpointDescription getEndpointDescription()